Remove member
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Remove a member from a group via the members navigation property. You can't remove a member from groups with dynamic memberships.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | GroupMember.ReadWrite.All, Group.ReadWrite.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | GroupMember.ReadWrite.All, Group.ReadWrite.All, Directory.ReadWrite.All |
Important
To remove members from a role-assignable group, the calling user or app must also be assigned the RoleManagement.ReadWrite.Directory permission.
HTTP request
DELETE /groups/{id}/members/{id}/$ref
Caution
If /$ref is not appended to the request and the calling app has permissions to manage the member object type, the member object will also be deleted from Azure Active Directory (Azure AD); otherwise, a 403 Forbidden error is returned. For example, an app with both GroupMember.ReadWrite.All and User.ReadWrite.All permissions will delete a user. You can restore specific objects through the Restore deleted items API.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 204 No Content response code. It does not return anything in the response body.
Example
Request
The following is an example of the request.
DELETE https://graph.microsoft.com/beta/groups/{group-id}/members/{directory-object-id}/$ref
In the request, specify the identifier of the group and the identifier of the directory object you want to remove.
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 204 No Content
See also
Feedback
Submit and view feedback for